//TXTHEXJ1 JOB SIMOTIME,ACCOUNT,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1,
//             COND=(0,LT)
//* *******************************************************************
//*        This program is provided by SimoTime Technologies          *
//*           (C) Copyright 1987-2019 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - COBOL for Sequential file I/O and HEX-Dump formatting.
//* Author - SimoTime Technologies
//* Date   - January 01, 1997
//*
//* This set of programs illustrates the use of COBOL programs
//* to do Sequential File I/O. The purpose is to show the processing
//* of a Sequential Files. The programs describe how to dump the
//* the input records to an output file in Hexadecimal format.
//*
//* This set of programs will run on a mainframe under MVS or on a
//* Personal Computer with Windows and Micro Focus Mainframe Express.
//*
//* This set of programs will run on a Personal Computer with Windows
//* and Micro Focus Mainframe Express using the following.
//*
//* The use of the extfh.cfg file is to override the Micro Focus
//* default that replaces TAB characters with SPACE characters.
//*
//* The COBOL programs are compiled with the ASSIGN(EXTERNAL) and
//* the SEQUENTIAL(LINE) directives. This provides for external
//* file mapping and the SEQUENTIAL files specified in the COBOL
//* program will map to LINE SEQUENTIAL (or ASCII/TEXT) files.
//* This technique provides for the use of a single COBOL source
//* program that will run on OS/390, Windows or Unix.
//*
//*
//*                     ************
//*                     * TXTHEXJ1 *
//*                     ********jcl*
//*                          *
//*                     ************
//*                     * IEFBR14  *
//*                     ************
//*                          *
//*    ************     ************     ************
//*    * TEXT0512 ******* TXTHEXC1 ******* SYSHEXT1 *
//*    ********txt*     ********cbl*  *  ********txt*
//*                          *        *
//*                          *        *
//*                          *        *  ************
//*                          *        **** CONSOLE  *
//*                          *        *  ********crt*
//*                          *        *
//*                          *        *
//*                          *        *  ************
//*                          *        **** SIMOHEX4 *
//*                          *           ********cbl*
//*                     ************
//*                     *   EOJ    *
//*                     ************
//*
//* *******************************************************************
//* Step   1 of 4, This job step will delete a previously created
//*        hex-dump file.
//*
//DELTHEX1 EXEC PGM=IEFBR14
//SYSHEXT1 DD  DSN=SIMOTIME.DATA.SYSHEXT1,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=800,DSORG=PS)
//SYSHEXT2 DD  DSN=SIMOTIME.DATA.SYSHEXT2,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=800,DSORG=PS)
//SYSUT2   DD  DSN=SIMOTIME.DATA.TEXT0512,
//             DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=512,DSORG=PS)
//*
//* *******************************************************************
//* Step   2 of 4, Create and populate a new QSAM file...
//*
//MAKEFILE EXEC PGM=IEBGENER
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  DUMMY
//* :....1....:....2....:....3....:....4....:....5....:....6....:....7.
//SYSUT1   DD  *
I am record 001 of TEXT0512
I am record 002 of TEXT0512 - 0123456789
I am record 003 of TEXT0512 - ABCDEFGHIJKLMNOPQRSTUVWXYZ
I am record 004 of TEXT0512 - abcdefghijklmnopqrstuvwxyz
I am record 005 of TEXT0512 - *     Tab01   Tab02   tab03
/*
//SYSUT2   DD  DSN=SIMOTIME.DATA.TEXT0512,
//             DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=512,DSORG=PS)
//*
//* *******************************************************************
//* Step   3 of 4, This job step will read the Sequential File and
//*        write the HEX-Dump information to a new Sequential File.
//*
//*        This step will display both the ASCII and EBCDIC characters.
//*        The ASCII is displayed above the HEX-Dump lines and the
//*        EBCDIC is displayed below the HEX-Dump lines.
//*        The PARM=FORMAT(B) produces both to ASCII and EBCDIC
//*
//TXTHEXX1 EXEC PGM=TXTHEXC1,PARM=FORMAT(B)
//STEPLIB  DD  DSN=SIMOTIME.DEMO.LOADLIB1,DISP=SHR
//TEXT0512 DD  DSN=SIMOTIME.DATA.TEXT0512,DISP=SHR
//SYSHEXT1 DD  DSN=SIMOTIME.DATA.SYSHEXT1,DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=128,BLKSIZE=1280,DSORG=PS)
//SYSOUT   DD  SYSOUT=*
//*
//* *******************************************************************
//* Step   4 of 4, This job step will read the Sequential File and
//*        write the HEX-Dump information to a new Sequential File.
//*
//*        This step will only display the EBCDIC characters below the
//*        HEX-Dump lines.
//*        The PARM=FORMAT(E) produces only the EBCDIC display line.
//*
//TXTHEXX2 EXEC PGM=TXTHEXC1,PARM=FORMAT(E)
//STEPLIB  DD  DSN=SIMOTIME.DEMO.LOADLIB1,DISP=SHR
//TEXT0512 DD  DSN=SIMOTIME.DATA.TEXT0512,DISP=SHR
//SYSHEXT1 DD  DSN=SIMOTIME.DATA.SYSHEXT2,DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=128,BLKSIZE=1280,DSORG=PS)
//SYSOUT   DD  SYSOUT=*
//*
