@echo OFF
rem  * ************************************************************************
rem  *                 TXTHEXW1.cmd - a Windows Command File                  *
rem  *           This program is provided by SimoTime Technologies            *
rem  *              (C) Copyright 1987-2019 All Rights Reserved               *
rem  *                Web Site URL:   http://www.simotime.com                 *
rem  *                      e-mail:   helpdesk@simotime.com                   *
rem  * ************************************************************************
rem  *
rem  * Text   - COBOL for Sequential Files and Hex-Dump formatting
rem  * Author - SimoTime Technologies
rem  * Date   - January 01, 1997
rem  *
rem  * This set of programs illustrates the use of COBOL programs
rem  * to do Sequential File I/O. The purpose is to show the processing
rem  * of a Sequential Files. The programs describe how to dump the
rem  * the input records to an output file in Hexadecimal format.
rem  *
rem  * The use of the EXTFH.CFG file is to override the Micro Focus
rem  * default that replaces TAB characters with SPACE characters.
rem  *
rem  * The COBOL programs are compiled with the ASSIGN(EXTERNAL) and
rem  * the SEQUENTIAL(LINE) directives. This provides for external
rem  * file mapping and the SEQUENTIAL files specified in the COBOL
rem  * program will map to LINE SEQUENTIAL (or ASCII/TEXT) files.
rem  * This technique provides for the use of a single COBOL source
rem  * program that will run on OS/390, Windows or Unix.
rem  *
rem  * This procedure uses the SimoNOTE.CMD to display information to the
rem  * screen and write to a log file.
rem  * the parameters to be passed as if they were from JCL.
rem  * The SimoNOTE programs is available from the Simotime web site
rem  * and is part of the SimoMODS package.
rem  *
rem  * The call to ezSetEnv will set the environment variables. This
rem  * technique is used to define a single place where commonly use
rem  * environemnt variable may be set and then used by multiple users.
rem  *
rem  * This set of programs will run on a Personal Computer with Windows
rem  * and Micro Focus Net Express.
rem  *
rem  *                     ************
rem  *                     * TXTHEXE1 *
rem  *                     ********jcl*
rem  *                          *
rem  *                     ************
rem  *                     *   RUN    *
rem  *                     ********cbl*
rem  *                          *
rem  *                          *
rem  *    ************     ************     ************
rem  *    * TEXT0512 ******* TXTHEXC1 ******* SYSHEXT1 *
rem  *    ********txt*     ********cbl*  *  ********txt*
rem  *                          *        *
rem  *                          *        *
rem  *                          *        *  ************
rem  *                          *        **** CONSOLE  *
rem  *                          *        *  ********crt*
rem  *                          *        *
rem  *                          *        *
rem  *                          *        *  ************
rem  *                          *        **** DUMPHEX4 *
rem  *                          *           ********cbl*
rem  *                     ************
rem  *                     *   EOJ    *
rem  *                     ************
rem  *
rem  * *******************************************************************
rem  *
     set CmdName=TxtHexW1
     call ..\Env1BASE %CmdName%
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting CmdName %CmdName%"
rem  * *******************************************************************
rem  * Step   1 of 1  This is a single step job.
rem  *
     set TEXT0512=%BaseLib1%\DATA\asc1\SIMOTIME.TEXT.TEXT0512.dat
     set SYSHEXT1=%BaseLib1%\DATA\wrk1\syshext1.txt
     set extfh=%BaseLib1%\SYS1\CONFIG\extfhtab.cfg
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "DataTake, ASCII/Text Input File %TEXT0512%"
     call SimoNOTE "DataMake, A HexDump Output File %SYSHEXT1%"
     run SIMOEXEC EXEC TxtHexC1 PARM=FORMAT(B)
     if not "%ERRORLEVEL%" == "0" set JobStatus=0010
     if not "%JobStatus%" == "0000" goto :EojNOK
:EojAOK
     call SimoNOTE "Finished CmdName %CmdName%, Job Status is %JobStatus%"
     goto :End
:EojNOK
     call SimoNOTE "ABENDING CmdName %CmdName%, Job Status is %JobStatus%"
     goto :End
:End
     call SimoNOTE "Conclude SysOut is %SYSOUT%"
     if not "%1" == "nopause" pause
     exit /B %JobStatus%
