@echo OFF
rem  * *******************************************************************
rem  *               TXTHEXW8.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2019 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Create a Sequential Data Set on disk using IEBGENER.
rem  * Author - SimoTime Technologies
rem  * Date   = January 24, 1996
rem  *
rem  * The 1ST step will delete a previously created file and then
rem  * create a new ASCII/Text file.
rem  * The 2ND step will convert the Line Sequential file to a Record
rem  * Sequential file and keep the ASCII encoding.
rem  * The 3RD step will convert the Line Sequential file to a Record
rem  * Sequential file and convert the record content from ASCII to EBCDIC
rem  *
rem  * This set of programs will run on a Personal Computer with Windows
rem  * and Micro Focus Net Express.
rem  *
     set CmdName=TXTHEXW8
     call ..\Env1BASE %CmdName%
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting CmdName %CmdName%, User is %USERNAME%"
     call SimoNOTE "StepInfo Delete previously created files"
     set TEXT0512=%BaseLib1%\DATA\TXT1\SIMOTIME.TEXT.TEXT0512.TXT
rem  *
rem  * *******************************************************************
rem  * Step   1 of 3  Create and populate a new ASCII/TEXT file...
rem  *
     call SimoNOTE "StepInfo Create an ASCII/Text File"
     if exist %TEXT0512% del %TEXT0512%
rem  * ..1....:....2....:....3....:....4....:....5....:....6....:....7.
echo I am record 001 of TEXT0512.TXT                                        >>%TEXT0512%
echo I am record 002 of TEXT0512.TXT - 0123456789                           >>%TEXT0512%
echo I am record 003 of TEXT0512.TXT - ABCDEFGHIJKLMNOPQRSTUVWXYZ           >>%TEXT0512%
echo I am record 004 of TEXT0512.TXT - abcdefghijklmnopqrstuvwxyz           >>%TEXT0512%
echo I am record 005 of TEXT0512.TXT - *     Tab01   Tab02   tab03          >>%TEXT0512%
     if exist %TEXT0512% call SimoNOTE "DataMake %TEXT0512%"
     if not exist %TEXT0512% set JobStatus=9001
     if not %JobStatus% == 0000 goto :EojNok
rem  *
rem  * *******************************************************************
rem  * Step   2 of 3  Convert ASCII/TEXT file to ASCII RSEQ File...
rem  *
     call SimoNOTE "StepInfo Convert Line Sequential to Record Sequential"
rem  *  set TEXT0512=%TEXT0512%
     set RSEQ0512=%BaseLib1%\DATA\Asc1\SIMOTIME.TEXT.TEXT0512.DAT
     if exist %RSEQ0512% del %RSEQ0512%
     run CV1HALAR
     if not ERRORLEVEL = 0 set JobStatus=0030
     if not %JobStatus% == 0000 goto :EojNok
     call SimoNOTE "DataTake %GETLS080%"
     call SimoNOTE "DataMake %RSEQ0512%"
rem  *
rem  * *******************************************************************
rem  * Step   3 of 3  Convert ASCII/TEXT file to EBCDIC RSEQ File...
rem  *
     call SimoNOTE "StepInfo Convert Line Sequential to Record Sequential"
     set GETLS080=%TEXT0512%
     set RSEQ0512=%BaseLib1%\DATA\Ebc1\SIMOTIME.TEXT.TEXT0512.DAT
     if exist %RSEQ0512% del %RSEQ0512%
     run CV1HALER
     if not ERRORLEVEL = 0 set JobStatus=0030
     if not %JobStatus% == 0000 goto :EojNok
     call SimoNOTE "DataTake %GETLS080%"
     call SimoNOTE "DataMake %RSEQ0512%"
rem  *
:EojAok
     call SimoNOTE "Finished CmdName %CmdName%, Job Status is %JobStatus% "
     goto :End
:EojNok
     call SimoNOTE "NOTE ABENDING CmdName %CmdName%, Job Status is %JobStatus% "
:End
     if not "%1" == "nopause" pause
